.checkbox { padding-left: 24px; }
.checkbox label { display: inline-block; vertical-align: middle; position: relative; padding-left: 7px; }
.checkbox label::before {
	content: "";
	display: inline-block;
	position: absolute;
	width: 24px;
	height: 24px;
	left: 0;
	margin-left: -24px;
	border: 1px solid #daded6;
	border-radius: 3px;
	background-color: transparent;
	-webkit-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
	-o-transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
	transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
	box-shadow:inset 0 1px 1px rgba(0, 0, 0, .075);
	-webkit-box-shadow:inset 0 1px 1px rgba(0, 0, 0, .075);
}
.checkbox label::after {
	display: inline-block;
	position: absolute;
	width: 24px;
	height: 24px;
	left: 0;
	top: 0;
	margin-left: -24px;
	padding-left: 3px;
	padding-top: 1px;
	font-size: 11px;
	color: #555555;
}
.checkbox input[type="checkbox"], .checkbox input[type="radio"] { opacity: 0; z-index: 1; cursor:pointer; width:18px; height:18px; }
.checkbox input[type="checkbox"]:focus + label::before, .checkbox input[type="radio"]:focus + label::before { outline: none !important;}
.checkbox input[type="checkbox"]:checked + label::after, .checkbox input[type="radio"]:checked + label::after { content: ""; background:url(../../images/ASGCalculator/chk.png) no-repeat;}
.checkbox input[type="checkbox"]:disabled + label, .checkbox input[type="radio"]:disabled + label { opacity: 0.65; }
.checkbox input[type="checkbox"]:disabled + label::before, .checkbox input[type="radio"]:disabled + label::before { background-color: #eeeeee; cursor: not-allowed;}
.checkbox.checkbox-circle label::before { border-radius: 50%;}
.checkbox.checkbox-inline { margin-top: 0; }
.checkbox-primary input[type="checkbox"]:checked + label::before, .checkbox-primary input[type="radio"]:checked + label::before { background-color: transparent; border-color: #FFF;}
.checkbox-primary input[type="checkbox"]:checked + label::after, .checkbox-primary input[type="radio"]:checked + label::after { color: #fff;}

.radio { padding-left: 24px; }
.radio label { display: inline-block; vertical-align: middle; position: relative; padding-left: 7px; }
.radio label::before {
	content: "";
	display: inline-block;
	position: absolute;
	width: 24px;
	height: 24px;
	left: 0;
	margin-left: -24px;
	border: 1px solid #cccccc;
	border-radius: 50%;
	background-color: #fff;
	-webkit-transition: border 0.15s ease-in-out;
	-o-transition: border 0.15s ease-in-out;
	transition: border 0.15s ease-in-out;
}
.radio label::after {
	display: inline-block;
	position: absolute;
	content: " ";
	width: 14px;
	height: 14px;
	left: 5px;
	top: 5px;
	margin-left: -24px;
	border-radius: 50%;
	background-color: #555555;
	-webkit-transform: scale(0, 0);
	-ms-transform: scale(0, 0);
	-o-transform: scale(0, 0);
	transform: scale(0, 0);
	-webkit-transition: -webkit-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
	-moz-transition: -moz-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
	-o-transition: -o-transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
	transition: transform 0.1s cubic-bezier(0.8, -0.33, 0.2, 1.33);
}
.radio input[type="radio"] { opacity: 0; z-index: 1; width:18px; height:18px; }
.radio input[type="radio"]:focus + label::before { outline: none !important;}
.radio input[type="radio"]:checked + label::after { -webkit-transform: scale(1, 1); -ms-transform: scale(1, 1); -o-transform: scale(1, 1); transform: scale(1, 1);}
.radio input[type="radio"]:disabled + label { opacity: 0.65; }
.radio input[type="radio"]:disabled + label::before { cursor: not-allowed;}
.radio.radio-inline { margin-top: 0; }
.radio-primary input[type="radio"] + label::after { background-color: #85e46e;}
.radio-primary input[type="radio"]:checked + label::before { border-color: #85e46e;}
.radio-primary input[type="radio"]:checked + label::after { background-color: #85e46e;}
input[type="checkbox"].styled:checked + label:after { content: ""; background:url(../../images/ASGCalculator/chk.png) center no-repeat; }
input[type="checkbox"] .styled:checked + label::before, input[type="radio"] .styled:checked + label::before { color: #fff;}
input[type="checkbox"] .styled:checked + label::after, input[type="radio"] .styled:checked + label::after { color: #fff;}
.radio label, .checkbox label { font-size:16px; }


.checkbox.inr-check label::before{ border:1px solid #ced5de; background-color:#FFF;}
.checkbox.inr-check input[type="checkbox"]:checked + label::after{ content: ""; background:url(../../images/ASGCalculator/chk.png) center no-repeat; -webkit-box-shadow: inset 1px 1px 3px rgba(0, 0, 0, .15); box-shadow: inset 1px 1px 3px rgba(0, 0, 0, .15);}
.checkbox-primary.inr-check input[type="checkbox"]:checked + label::before{ background-color: #85e46e; border-color: #85e46e;}

